Subject: [Iptel] problem: killed process

From: zaghouani hamdi <[email-masked]>
Date: Mon, 21 Nov 2005 07:34:41 +0100 (CET)

hi,
    
  I'm working on SER server.
  I'm using two SIP servers and a SIP phone (eyeBeam).
  Using the SIP phone, I register to the first SER server. this server  send the request to the second server ( act as an Application Server)  which send it back to the first. 
  
 according to the SER  programming guide : the SER server, Upon startup, all children execute  "recvfrom" function. The process will enter the kernel mode. When there  is no data to be processed at the moment, the kernel will put the  process on list of processes waiting for data and the process will be  put asleep.
  
  My problem is :
 when I run the SIP Phone,  the first registration goes well and the 2 servers exchanges the  message without any problem( a child process is awaked to process the  message) . But when I close the SIP Phone and the 2 servers begun  exchanging messages ( register with "expire header" 0), the child  process is killed (I don't know how) so the server is shutdown.
  sometimes I close the SIP phone without problem. and I get the problem when I run the SIP Phone again.
  
  I recieve this :
  ......
    33(18738) DBG: tcp_main_loop: dead child 14 (shutting down?)
     0(18702) child process 18719 exited by a signal 11
     0(18702) core was not generated
     0(18702) INFO: terminating due to SIGCHLD
     1(18703) INFO: signal 15 received
  ......

  Do you have any idea how to resolve this problem.
  I ve worked on this problem for more than a week but vainly. I can't resolve it.
  
  ps: I added one module in the first server( I wrote c fonctions). when  the first server recieve the message from the SIP Phone, it process  this message before forwarding it to the seconde server. 
  
  thanks a lot 
  
  Hamdi who need your help.

---------------------------------
 Appel audio GRATUIT partout dans le monde avec le nouveau Yahoo! Messenger
 Téléchargez le ici !  

_______________________________________________
Iptel mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/iptel